Package twisted :: Package xish :: Module xpathparser

[frames | no frames]

## Module twisted.xish.xpathparser

Run time libraries needed to run parsers generated by Yapps.

This module defines parse-time exception classes, a scanner class, a base class for parsers produced by Yapps, and a context class that keeps track of the parse stack.

Classes
`Context` | Class to represent the parser's call stack.
`Parser` | Base class for Yapps-generated parsers.
`Scanner` | Yapps scanner.
`XPathParser` |
`XPathParserScanner` |

Exceptions
`NoMoreTokens` | Another exception object, for when we run out of tokens
`SyntaxError` | When we run into an unexpected token, this is the exception to use

Function Summary
| `parse(rule, text)`
| ``print_error`(input, err, scanner)` Print error messages, the parser stack, and the input text -- for human-readable error messages.
| ``print_line_with_pointer`(text, p)` Print the line of 'text' that includes position 'p', along with a second line with a single caret (^) at position p
| `wrap_error_reporter(parser, rule)`

Function Details

### print_error(input, err, scanner)

Print error messages, the parser stack, and the input text -- for human-readable error messages.

### print_line_with_pointer(text, p)

Print the line of 'text' that includes position 'p', along with a second line with a single caret (^) at position p

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net